# Helios Election System

Fork used by the Czech Pirate Party. Includes PirateID integration and Czech translation.

Helios is an end-to-end verifiable voting system.

## Info

Větve v gitu:

- `original` je kopie https://github.com/benadida/helios-server
- `master` je z `original` odvozená Pirátská verze nasazená v produkci
- `test` je testovací verze odvozená z `master` nasazená pro testování

Obvykle děláme změny v `test` a když je to ok, releasujeme do `master`.

### Jak na upgrade?

1. aktualizuj větev `original`
2. udělej rebase větve `master` z větve `original`
3. udělej novou větev `test` odvozenou z `master`

## Čas

S časem se v kódu pracuje velmi primitivně. Všechny časy jsou naivně a musí být UTC.
Což komplikuje všechno. Ale podařilo se to rozumně pořešit na vstupu a výstupu.

V kódu je to ohnuté takto:

* Vizuálně času v templatech prohnán přes filtr `|timezone:"Europe/Prague"`.
* Ve form field `SplitDateTimeField` očekáváme Europe/Prague a převádíme na UTC.
