from django.conf.urls import url

from . import views


urlpatterns = [
    url(r"^$", views.IndexView.as_view()),
    url(r"^user/(?P<username>[^/]+)/elections/$", views.UserElectionsView.as_view()),
    url(r"^elections/$", views.ElectionsView.as_view()),
    url(r"^elections/(?P<uuid>[^/]+)/voters/$", views.ElectionVotersView.as_view()),
]
